Package twisted :: Package web :: Module widgets :: Class WidgetMixin |
[show private | hide private]
[frames | no frames]

## Class WidgetMixin

    Widget --+
             |
            WidgetMixin

A mix-in wrapper for a Widget.

This mixin can be used to wrap functionality in any other widget with a method of your choosing. It is designed to be used for mix-in classes that can be mixed in to Form, StreamWidget, Presentation, etc, to augment the data available to the 'display' methods of those classes, usually by adding it to a Session.

Method Summary
| `display(self)`
| `displayMixedWidget(self, request)`
| `getTitle(self, request)` (inherited from `Widget`)

Generated by Epydoc 1.1 on Thu May 8 13:19:10 2003 | http://epydoc.sf.net